/*
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef DISPLAY_H
#define DISPLAY_H	1

#include <math.h>
#include "common.h"

/* Receive and Transmit status indicators */
#define RECV_OFF \
  _("<span background=\"lightgrey\"> RECEIVE (OFF) </span>")

#define RECV_RTTY \
  _("<span background=\"green\" foreground=\"white\"> RECEIVE RTTY </span>")

#define XMIT_OFF \
  _("<span background=\"lightgrey\"> TRANSMIT (OFF) </span>")

#define XMIT_RTTY \
  _("<span background=\"red\" foreground=\"white\"> TRANSMIT RTTY </span>")

#define LTRS \
  _("<span background=\"darkgreen\" foreground=\"white\"> LTRS </span>")

#define FIGS \
  _("<span background=\"darkred\" foreground=\"white\"> FIGS </span>")

/* Length and multiplier of amplitude averaging window  */
#define AMPL_AVE_WIN		3
#define AMPL_AVE_MUL		2

#define	SCOPE_BGND		0.0, 0.2, 0.0
#define	SCOPE_FGND		0.0, 1.0, 0.0
#define	GRAPH_OUTLINE	0.0, 0.8, 0.0
#define	SQUELCH_THRHLD	0.8, 0.0, 0.0

/* Scale FFT output bins */
#define IFFT_SCALE		64

#endif

