/*
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License as
 *  published by the Free Software Foundation; either version 2 of
 *  the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details:
 *
 *  http://www.gnu.org/copyleft/gpl.txt
 */

#ifndef SHARED_H
#define SHARED_H	1

#include "common.h"

/*------------------------------------------------------------------------*/

/* Runtime config data */
extern rc_data_t rc_data;

/* Main window and menu */
extern GtkWidget
  *main_window,
  *popup_menu,
  *rx_scrolledwindow,
  *tx_scrolledwindow,
  *scope1,
  *scope2,
  *drawingarea,
  *scope_label,
  *shift_label,
  *xmit_status,
  *rcve_status,
  *popup_menu;

/* Main window and menu builders */
extern GtkBuilder
  *main_window_builder,
  *popup_menu_builder;

extern int *bin_ave;

/* Text buffers for text viewers */
extern GtkTextBuffer
  *rx_text_buffer,
  *tx_text_buffer;

/* Pixbuffer for waterfall */
extern GdkPixbuf *wfall_pixbuf;
extern guchar    *wfall_pixels;
extern gint
  wfall_rowstride,
  wfall_n_channels,
  wfall_width,
  wfall_height;

/* File variables */
extern FILE
  /* File for recording QSO's */
  *qso_record_fp,
  /* File for ADIF QSO record */
  *adif_log_fp,
  /* File for station log */
  *station_log_fp;

/* QSO data record */
extern qso_record_t qso_record;

/* Index to macros */
extern int macro_idx;

/* Keyboard entry buffer */
#define KEY_BUFF_SIZE	512
extern guint key_buff[KEY_BUFF_SIZE];

/* Keystrokes counter */
extern int key_cnt;

/* Count characters entered at keyboard */
extern int char_cnt;

/* Macros attached to F1-F10  */
extern char *macro[NUM_OF_LABELS];

/* IFFT data buffer*/
extern int16_t
  *ifft_data,
  ifft_data_length;

/* Signal samples buffer */
extern unsigned char *dsp_buff;

/* Xmit DSP signal samples buffer */
extern short *xmit_buffer;

/* Xmit DSP signal samples buffer size */
extern int xmit_buff_len;

/*------------------------------------------------------------------------*/

#endif

